public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/dcraw/, media-gfx/dcraw/files/
@ 2019-04-10 20:10 Pacho Ramos
  0 siblings, 0 replies; 3+ messages in thread
From: Pacho Ramos @ 2019-04-10 20:10 UTC (permalink / raw
  To: gentoo-commits

commit:     dc4414d63dc4427f8d3a87a0fccb93ce72d5bcba
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 10 20:10:40 2019 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Wed Apr 10 20:10:40 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc4414d6

media-gfx/dcraw: Fix compat with newer gimp

Thanks-to: Helmut Jarausch
Closes: https://bugs.gentoo.org/655390
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 media-gfx/dcraw/dcraw-9.28.0-r1.ebuild             | 115 +++++++++++++++++++++
 media-gfx/dcraw/files/dcraw-9.28.0-gimp-2.10.patch |  27 +++++
 2 files changed, 142 insertions(+)

diff --git a/media-gfx/dcraw/dcraw-9.28.0-r1.ebuild b/media-gfx/dcraw/dcraw-9.28.0-r1.ebuild
new file mode 100644
index 00000000000..dbd2794f170
--- /dev/null
+++ b/media-gfx/dcraw/dcraw-9.28.0-r1.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit readme.gentoo-r1 toolchain-funcs
+
+DESCRIPTION="Command-line decoder for raw digital photos"
+HOMEPAGE="https://www.cybercom.net/~dcoffin/dcraw/"
+SRC_URI="https://www.cybercom.net/~dcoffin/dcraw/archive/${P}.tar.gz
+	mirror://gentoo/parse-1.73.tar.bz2
+	gimp? ( mirror://gentoo/rawphoto-1.32.tar.bz2 )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+LANGS=" ca cs de da eo es fr hu it nl pl pt ru sv zh_CN zh_TW"
+IUSE="nls gimp jpeg jpeg2k lcms"
+
+COMMON_DEPEND="
+	jpeg? ( virtual/jpeg:0 )
+	lcms? ( media-libs/lcms:2 )
+	jpeg2k? ( media-libs/jasper:= )
+	gimp? ( media-gfx/gimp )
+"
+DEPEND="${COMMON_DEPEND}
+	nls? ( sys-devel/gettext )
+	gimp? ( virtual/pkgconfig )
+"
+RDEPEND="${COMMON_DEPEND}
+	media-libs/netpbm
+"
+
+S="${WORKDIR}/dcraw"
+
+DOC_CONTENTS="
+	See conversion-examples.txt.gz on how to convert
+	the PPM files produced by dcraw to other image formats.\n
+
+	\nThe functionality of the external program 'fujiturn' was
+	incorporated into dcraw and is automatically used now.\n
+
+	\nThere's an example wrapper script included called 'dcwrap'.
+	This package also includes 'dcparse', which extracts
+	thumbnail images (preferably JPEGs) from any raw digital
+	camera formats that have them, and shows table contents.
+"
+
+PATCHES=(
+	# Support gimp-2.10, bug #655390
+	"${FILESDIR}"/${PN}-9.28.0-gimp-2.10.patch
+)
+
+run_build() {
+	einfo "${@}"
+	${@} || die
+}
+
+src_prepare() {
+	default
+	rename dcraw_ dcraw. dcraw_*.1 || die "Failed to rename"
+}
+
+src_compile() {
+	local ECFLAGS="-O2" # Without optimisation build fails
+	local ELIBS="-lm"
+
+	use lcms && ELIBS="-llcms2 ${ELIBS}" || ECFLAGS+=" -DNO_LCMS=yes"
+	use jpeg && ELIBS="-ljpeg ${ELIBS}" || ECFLAGS+=" -DNO_JPEG=yes"
+	use jpeg2k && ELIBS="-ljasper ${ELIBS}" || ECFLAGS+=" -DNO_JASPER=yes"
+	use nls && ECFLAGS+=" -DLOCALEDIR=\"/usr/share/locale/\""
+
+	run_build $(tc-getCC) ${ECFLAGS} ${CFLAGS} ${LDFLAGS} -o dcraw dcraw.c ${ELIBS}
+
+	run_build $(tc-getCC) -O2 ${CFLAGS} ${LDFLAGS} -o dcparse parse.c
+
+	# rawphoto gimp plugin
+	if use gimp; then
+		run_build $(tc-getCC) ${CFLAGS} ${LDFLAGS} \
+			$(pkg-config --cflags gimpui-2.0) rawphoto.c -o rawphoto \
+			$(pkg-config --libs gimpui-2.0)
+	fi
+
+	if use nls; then
+		for lang in ${LANGS}; do
+			has ${lang} ${LINGUAS-${lang}} \
+				&& run_build msgfmt -c -o dcraw_${lang}.mo dcraw_${lang}.po
+		done
+	fi
+}
+
+src_install() {
+	dobin dcraw dcparse
+	dodoc "${FILESDIR}"/{conversion-examples.txt,dcwrap}
+
+	# rawphoto gimp plugin
+	if use gimp; then
+		insinto "$(pkg-config --variable=gimplibdir gimp-2.0)/plug-ins"
+		insopts -m0755
+		doins rawphoto
+	fi
+
+	doman dcraw.1
+
+	if use nls; then
+		for lang in ${LANGS}; do
+			if has ${lang} ${LINGUAS-${lang}}; then
+				[[ -f dcraw.${lang}.1 ]] && doman dcraw.${lang}.1
+				insinto /usr/share/locale/${lang}/LC_MESSAGES
+				newins dcraw_${lang}.mo dcraw.mo || die "failed to install dcraw_${lang}.mo"
+			fi
+		done
+	fi
+
+	readme.gentoo_create_doc
+}

diff --git a/media-gfx/dcraw/files/dcraw-9.28.0-gimp-2.10.patch b/media-gfx/dcraw/files/dcraw-9.28.0-gimp-2.10.patch
new file mode 100644
index 00000000000..f590243a986
--- /dev/null
+++ b/media-gfx/dcraw/files/dcraw-9.28.0-gimp-2.10.patch
@@ -0,0 +1,27 @@
+--- a/rawphoto.c.ORIG	2018-05-10 14:06:37.553419235 +0200
++++ b/rawphoto.c	2018-05-10 14:06:37.553419235 +0200
+@@ -105,8 +105,15 @@
+ 			  load_args,
+ 			  load_return_vals);
+ 
++#if HAVE_GIMP_2_9
++  gimp_register_magic_load_handler ("file_rawphoto_load",
++    "3fr,arw,bay,bmq,cine,cr2,crw,cs1,dc2,dcr,dng,erf,fff,hdr,ia,jpg,k25,kc2,kdc,mdc,mef,mos,mrw,nef,nrw,orf,pef,pxn,qtk,raf,raw,rdc,rw2,sr2,srf,sti,tif,x3f",
++    "","0,string,II*\\0,0,string,MM\\0*,0,string,<?xml");
++      gimp_register_file_handler_raw ("file_rawphoto_load");
++#else
+   gimp_register_load_handler ("file_rawphoto_load",
+     "3fr,arw,bay,bmq,cine,cr2,crw,cs1,dc2,dcr,dng,erf,fff,hdr,ia,jpg,k25,kc2,kdc,mdc,mef,mos,mrw,nef,nrw,orf,pef,pxn,qtk,raf,raw,rdc,rw2,sr2,srf,sti,tif,x3f", "");
++#endif
+ }
+ 
+ static void run (RAWPHOTO_CONST gchar *name,
+@@ -225,7 +232,7 @@
+   layer = gimp_layer_new (image, "Background", width, height,
+ 			depth == 3 ? GIMP_RGB_IMAGE : GIMP_GRAY_IMAGE,
+ 			100, GIMP_NORMAL_MODE);
+-  gimp_image_add_layer (image, layer, 0);
++  gimp_image_insert_layer(image, layer, 0, 0);
+ 
+   /* Get the drawable and set the pixel region for our load... */
+   drawable = gimp_drawable_get (layer);


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/dcraw/, media-gfx/dcraw/files/
@ 2023-10-31 19:35 Andreas K. Hüttel
  0 siblings, 0 replies; 3+ messages in thread
From: Andreas K. Hüttel @ 2023-10-31 19:35 UTC (permalink / raw
  To: gentoo-commits

commit:     6172f7056a106ec032d333e1c0b3eb64af5813a2
Author:     Pascal Jäger <pascal.jaeger <AT> leimstift <DOT> de>
AuthorDate: Fri Sep 22 11:26:39 2023 +0000
Commit:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Tue Oct 31 19:27:34 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6172f705

media-gfx/dcraw: revbump, fix bugs

Closes: https://bugs.gentoo.org/713220
Closes: https://bugs.gentoo.org/896204
Closes: https://bugs.gentoo.org/911753
Signed-off-by: Pascal Jäger <pascal.jaeger <AT> leimstift.de>
Closes: https://github.com/gentoo/gentoo/pull/32990
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>

 media-gfx/dcraw/dcraw-9.28.0-r3.ebuild             | 130 +++++++++++++++++++++
 .../dcraw-9.28.0-fix-LC_CTYPE-undeclared.patch     |  17 +++
 ...dcraw-9.28.0-fix-memmem-wrong-return-type.patch |  17 +++
 3 files changed, 164 insertions(+)

diff --git a/media-gfx/dcraw/dcraw-9.28.0-r3.ebuild b/media-gfx/dcraw/dcraw-9.28.0-r3.ebuild
new file mode 100644
index 000000000000..a56277206cec
--- /dev/null
+++ b/media-gfx/dcraw/dcraw-9.28.0-r3.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit readme.gentoo-r1 toolchain-funcs
+
+DESCRIPTION="Command-line decoder for raw digital photos"
+HOMEPAGE="https://www.dechifro.org/dcraw/"
+SRC_URI="https://www.cybercom.net/~dcoffin/dcraw/archive/${P}.tar.gz
+	mirror://gentoo/parse-1.73.tar.bz2
+	gimp? ( mirror://gentoo/rawphoto-1.32.tar.bz2 )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+LANGS=" ca cs de da eo es fr hu it nl pl pt ru sv zh_CN zh_TW"
+IUSE="nls gimp jpeg lcms"
+
+COMMON_DEPEND="
+	jpeg? ( media-libs/libjpeg-turbo:0 )
+	lcms? ( media-libs/lcms:2 )
+	gimp? (
+		  dev-libs/atk
+		  media-gfx/gimp:0/2
+		  media-libs/harfbuzz
+		  x11-libs/cairo
+		  x11-libs/gdk-pixbuf:2
+		  x11-libs/gtk+:2
+		  x11-libs/pango
+)
+"
+DEPEND="${COMMON_DEPEND}"
+BDEPEND="
+	nls? ( sys-devel/gettext )
+	gimp? ( virtual/pkgconfig )
+"
+RDEPEND="${COMMON_DEPEND}
+	media-libs/netpbm
+"
+
+S="${WORKDIR}/dcraw"
+
+DOC_CONTENTS="
+	See conversion-examples.txt.gz on how to convert
+	the PPM files produced by dcraw to other image formats.\n
+
+	\nThe functionality of the external program 'fujiturn' was
+	incorporated into dcraw and is automatically used now.\n
+
+	\nThere's an example wrapper script included called 'dcwrap'.
+	This package also includes 'dcparse', which extracts
+	thumbnail images (preferably JPEGs) from any raw digital
+	camera formats that have them, and shows table contents.
+"
+
+PATCHES=( "${FILESDIR}/${P}-fix-memmem-wrong-return-type.patch"
+		  "${FILESDIR}/${P}-fix-LC_CTYPE-undeclared.patch"
+)
+
+run_build() {
+	einfo "${@}"
+	${@} || die
+}
+
+src_prepare() {
+	default
+
+	# Support gimp-2.10, bug #655390
+	use gimp && eapply "${FILESDIR}"/${PN}-9.28.0-gimp-2.10.patch
+
+	rename dcraw_ dcraw. dcraw_*.1 || die "Failed to rename"
+}
+
+src_compile() {
+	local ECFLAGS="-O2 -DNO_JASPER=yes " # Without optimisation build fails
+	local ELIBS="-lm"
+	local RP_ECFLAGS="-I/usr/include/gtk-2.0/ -I/usr/include/glib-2.0/ \
+	  -I/usr/$(get_libdir)/glib-2.0/include -I/usr/include/cairo \
+	  -I/usr/include/pango-1.0 -I/usr/include/harfbuzz \
+	  -I/usr/lib64/gtk-2.0/include -I/usr/include/gdk-pixbuf-2.0 \
+	  -I/usr/include/atk-1.0"
+
+	use lcms && ELIBS="-llcms2 ${ELIBS}" || ECFLAGS+=" -DNO_LCMS=yes"
+	use jpeg && ELIBS="-ljpeg ${ELIBS}" || ECFLAGS+=" -DNO_JPEG=yes"
+	use nls && ECFLAGS+=" -DLOCALEDIR=\"/usr/share/locale/\""
+
+	run_build $(tc-getCC) ${ECFLAGS} ${CFLAGS} ${LDFLAGS} -o dcraw dcraw.c ${ELIBS}
+
+	run_build $(tc-getCC) -O2 ${CFLAGS} ${LDFLAGS} -o dcparse parse.c
+
+	# rawphoto gimp plugin
+	if use gimp; then
+		run_build $(tc-getCC) ${RP_ECFLAGS} ${CFLAGS} ${LDFLAGS} \
+			$($(tc-getPKG_CONFIG) --cflags gimpui-2.0) rawphoto.c -o rawphoto \
+			$($(tc-getPKG_CONFIG) --libs gimpui-2.0)
+	fi
+
+	if use nls; then
+		for lang in ${LANGS}; do
+			has ${lang} ${LINGUAS-${lang}} \
+				&& run_build msgfmt -c -o dcraw_${lang}.mo dcraw_${lang}.po
+		done
+	fi
+}
+
+src_install() {
+	dobin dcraw dcparse
+	dodoc "${FILESDIR}"/{conversion-examples.txt,dcwrap}
+
+	# rawphoto gimp plugin
+	if use gimp; then
+		insinto "$($(tc-getPKG_CONFIG) --variable=gimplibdir gimp-2.0)/plug-ins"
+		insopts -m0755
+		doins rawphoto
+	fi
+
+	doman dcraw.1
+
+	if use nls; then
+		for lang in ${LANGS}; do
+			if has ${lang} ${LINGUAS-${lang}}; then
+				[[ -f dcraw.${lang}.1 ]] && doman dcraw.${lang}.1
+				insinto /usr/share/locale/${lang}/LC_MESSAGES
+				newins dcraw_${lang}.mo dcraw.mo
+			fi
+		done
+	fi
+
+	readme.gentoo_create_doc
+}

diff --git a/media-gfx/dcraw/files/dcraw-9.28.0-fix-LC_CTYPE-undeclared.patch b/media-gfx/dcraw/files/dcraw-9.28.0-fix-LC_CTYPE-undeclared.patch
new file mode 100644
index 000000000000..eb41892dee11
--- /dev/null
+++ b/media-gfx/dcraw/files/dcraw-9.28.0-fix-LC_CTYPE-undeclared.patch
@@ -0,0 +1,17 @@
+In musl this is not pulled in automatically
+
+Bug: https://bugs.gentoo.org/713220
+Bug: https://bugs.gentoo.org/896204
+
+#  Pascal Jäger <pascal.jaeger@leimstift.de> (2023-09-22)
+
+--- a/dcraw.c
++++ b/dcraw.c
+@@ -41,6 +41,7 @@
+ #include <string.h>
+ #include <time.h>
+ #include <sys/types.h>
++#include <locale.h>
+ 
+ #if defined(DJGPP) || defined(__MINGW32__)
+ #define fseeko fseek

diff --git a/media-gfx/dcraw/files/dcraw-9.28.0-fix-memmem-wrong-return-type.patch b/media-gfx/dcraw/files/dcraw-9.28.0-fix-memmem-wrong-return-type.patch
new file mode 100644
index 000000000000..93f299e4d2aa
--- /dev/null
+++ b/media-gfx/dcraw/files/dcraw-9.28.0-fix-memmem-wrong-return-type.patch
@@ -0,0 +1,17 @@
+Memmem returns void*
+
+#  Pascal Jäger <pascal.jaeger@leimstift.de> (2023-09-22)
+
+Bug: https://bugs.gentoo.org/911753
+
+--- a/parse.c
++++ b/parse.c
+@@ -965,7 +965,7 @@ void parse_phase_one (int base)
+   }
+ }
+ 
+-char *memmem (char *haystack, size_t haystacklen,
++void *memmem (char *haystack, size_t haystacklen,
+               char *needle, size_t needlelen)
+ {
+   char *c;


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/dcraw/, media-gfx/dcraw/files/
@ 2023-11-04 12:43 Ben Kohler
  0 siblings, 0 replies; 3+ messages in thread
From: Ben Kohler @ 2023-11-04 12:43 UTC (permalink / raw
  To: gentoo-commits

commit:     eefddc92a4e972321eefd80796fd4cfdd6ca9b67
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Sat Nov  4 12:43:04 2023 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Sat Nov  4 12:43:40 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eefddc92

media-gfx/dcraw: fix build for glibc-2.38

Bug: https://bugs.gentoo.org/911753

Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 media-gfx/dcraw/dcraw-9.28.0-r4.ebuild             | 130 +++++++++++++++++++++
 .../dcraw/files/dcraw-9.28.0-glibc-2.38.patch      |  24 ++++
 2 files changed, 154 insertions(+)

diff --git a/media-gfx/dcraw/dcraw-9.28.0-r4.ebuild b/media-gfx/dcraw/dcraw-9.28.0-r4.ebuild
new file mode 100644
index 000000000000..17e7705d0caf
--- /dev/null
+++ b/media-gfx/dcraw/dcraw-9.28.0-r4.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit readme.gentoo-r1 toolchain-funcs
+
+DESCRIPTION="Command-line decoder for raw digital photos"
+HOMEPAGE="https://www.dechifro.org/dcraw/"
+SRC_URI="https://www.cybercom.net/~dcoffin/dcraw/archive/${P}.tar.gz
+	mirror://gentoo/parse-1.73.tar.bz2
+	gimp? ( mirror://gentoo/rawphoto-1.32.tar.bz2 )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+LANGS=" ca cs de da eo es fr hu it nl pl pt ru sv zh_CN zh_TW"
+IUSE="nls gimp jpeg lcms"
+
+COMMON_DEPEND="
+	jpeg? ( media-libs/libjpeg-turbo:0 )
+	lcms? ( media-libs/lcms:2 )
+	gimp? (
+		dev-libs/atk
+		media-gfx/gimp:0/2
+		media-libs/harfbuzz
+		x11-libs/cairo
+		x11-libs/gdk-pixbuf:2
+		x11-libs/gtk+:2
+		x11-libs/pango
+)
+"
+DEPEND="${COMMON_DEPEND}"
+BDEPEND="
+	nls? ( sys-devel/gettext )
+	gimp? ( virtual/pkgconfig )
+"
+RDEPEND="${COMMON_DEPEND}
+	media-libs/netpbm
+"
+
+S="${WORKDIR}/dcraw"
+
+DOC_CONTENTS="
+	See conversion-examples.txt.gz on how to convert
+	the PPM files produced by dcraw to other image formats.\n
+
+	\nThe functionality of the external program 'fujiturn' was
+	incorporated into dcraw and is automatically used now.\n
+
+	\nThere's an example wrapper script included called 'dcwrap'.
+	This package also includes 'dcparse', which extracts
+	thumbnail images (preferably JPEGs) from any raw digital
+	camera formats that have them, and shows table contents.
+"
+
+PATCHES=( "${FILESDIR}/${P}-glibc-2.38.patch"
+		  "${FILESDIR}/${P}-fix-LC_CTYPE-undeclared.patch"
+)
+
+run_build() {
+	einfo "${@}"
+	${@} || die
+}
+
+src_prepare() {
+	default
+
+	# Support gimp-2.10, bug #655390
+	use gimp && eapply "${FILESDIR}"/${PN}-9.28.0-gimp-2.10.patch
+
+	rename dcraw_ dcraw. dcraw_*.1 || die "Failed to rename"
+}
+
+src_compile() {
+	local ECFLAGS="-O2 -DNO_JASPER=yes " # Without optimisation build fails
+	local ELIBS="-lm"
+	local RP_ECFLAGS="-I/usr/include/gtk-2.0/ -I/usr/include/glib-2.0/ \
+		-I/usr/$(get_libdir)/glib-2.0/include -I/usr/include/cairo \
+		-I/usr/include/pango-1.0 -I/usr/include/harfbuzz \
+		-I/usr/lib64/gtk-2.0/include -I/usr/include/gdk-pixbuf-2.0 \
+		-I/usr/include/atk-1.0"
+
+	use lcms && ELIBS="-llcms2 ${ELIBS}" || ECFLAGS+=" -DNO_LCMS=yes"
+	use jpeg && ELIBS="-ljpeg ${ELIBS}" || ECFLAGS+=" -DNO_JPEG=yes"
+	use nls && ECFLAGS+=" -DLOCALEDIR=\"/usr/share/locale/\""
+
+	run_build $(tc-getCC) ${ECFLAGS} ${CFLAGS} ${LDFLAGS} -o dcraw dcraw.c ${ELIBS}
+
+	run_build $(tc-getCC) -O2 ${CFLAGS} ${LDFLAGS} -o dcparse parse.c
+
+	# rawphoto gimp plugin
+	if use gimp; then
+		run_build $(tc-getCC) ${RP_ECFLAGS} ${CFLAGS} ${LDFLAGS} \
+			$($(tc-getPKG_CONFIG) --cflags gimpui-2.0) rawphoto.c -o rawphoto \
+			$($(tc-getPKG_CONFIG) --libs gimpui-2.0)
+	fi
+
+	if use nls; then
+		for lang in ${LANGS}; do
+			has ${lang} ${LINGUAS-${lang}} \
+				&& run_build msgfmt -c -o dcraw_${lang}.mo dcraw_${lang}.po
+		done
+	fi
+}
+
+src_install() {
+	dobin dcraw dcparse
+	dodoc "${FILESDIR}"/{conversion-examples.txt,dcwrap}
+
+	# rawphoto gimp plugin
+	if use gimp; then
+		insinto "$($(tc-getPKG_CONFIG) --variable=gimplibdir gimp-2.0)/plug-ins"
+		insopts -m0755
+		doins rawphoto
+	fi
+
+	doman dcraw.1
+
+	if use nls; then
+		for lang in ${LANGS}; do
+			if has ${lang} ${LINGUAS-${lang}}; then
+				[[ -f dcraw.${lang}.1 ]] && doman dcraw.${lang}.1
+				insinto /usr/share/locale/${lang}/LC_MESSAGES
+				newins dcraw_${lang}.mo dcraw.mo
+			fi
+		done
+	fi
+
+	readme.gentoo_create_doc
+}

diff --git a/media-gfx/dcraw/files/dcraw-9.28.0-glibc-2.38.patch b/media-gfx/dcraw/files/dcraw-9.28.0-glibc-2.38.patch
new file mode 100644
index 000000000000..6ef89c2f5eec
--- /dev/null
+++ b/media-gfx/dcraw/files/dcraw-9.28.0-glibc-2.38.patch
@@ -0,0 +1,24 @@
+Index: dcraw/parse.c
+===================================================================
+--- dcraw.orig/parse.c
++++ dcraw/parse.c
+@@ -1213,7 +1213,7 @@ void parse_qt (int level, int end)
+   }
+ }
+ 
+-char *memmem (char *haystack, size_t haystacklen,
++static void *my_memmem (char *haystack, size_t haystacklen,
+               char *needle, size_t needlelen)
+ {
+   char *c;
+@@ -1239,8 +1239,8 @@ void identify()
+   tread (head, 1, 32, ifp);
+   tseek (ifp, 0, SEEK_END);
+   fsize = ftell(ifp);
+-  if ((cp = memmem (head, 32, "MMMM", 4)) ||
+-      (cp = memmem (head, 32, "IIII", 4))) {
++  if ((cp = my_memmem (head, 32, "MMMM", 4)) ||
++      (cp = my_memmem (head, 32, "IIII", 4))) {
+     parse_phase_one (cp-head);
+     if (cp-head) parse_tiff (0,0);
+   } else if (order == 0x4949 || order == 0x4d4d) {


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2023-11-04 12:43 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-10-31 19:35 [gentoo-commits] repo/gentoo:master commit in: media-gfx/dcraw/, media-gfx/dcraw/files/ Andreas K. Hüttel
  -- strict thread matches above, loose matches on Subject: below --
2023-11-04 12:43 Ben Kohler
2019-04-10 20:10 Pacho Ramos

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox